Центр пользователя  |  Ваши сообщения  |  FAQ
Форум поддержки phpBB » phpBB 3.0.x » Модификация phpBB 3.0.x » Моды каталога

AutoMOD

Обсуждение и поддержка модов, размещённых в каталоге
Пожалуйста, помните, что существуют: Поиск, Правила форума
Возможно, ответ на Ваш вопрос уже имеется: Документация, Статьи, Накопленный опыт
Полезные материалы по этой теме: Инструкция по установке модов

Сообщение 09 мар 2009, 13:42

не могу поставить ни один мод
постоянно выдает ошибку

Одно или более действий не удалось. Проверть действия, измените и повторите. Вы можете продолжить установку даже если некоторые действия не удались. Это не рекомендуется и может нанести ущерб.
Christopher

 

Сообщение 09 мар 2009, 18:21

У кого нибудь, поставился хотя бы один мод?!
Christopher

 

Сообщение 09 мар 2009, 22:39

Christopher писал(а):У кого нибудь, поставился хотя бы один мод?!

Нет не поставился... Вообще не понимаю зачем так все усложнять.... Зла никакого не хватает. Думал что поставил самый лучший и самый популярный движок для форума, а приобрел вместо этого только гемор с его настройками
Павел

 

Сообщение 11 мар 2009, 15:32

не понимаю зачем выкладывать то, что толком не работает, а если и работает, то почему админы не могут толком никому помочь?
человек

 

Сообщение 13 мар 2009, 21:34

Проблема заключается в файлах с описанием установки, это файлы с расширениями .xml и .xls. Они должны выполняться по стандартам (последняя версия MODX 1.2.2). AutoMod работает с версиями MODX 1.2.2 MODX 1.2.1 MODX 1.2.0
Если мод оформлен по другому (на данный момент многие моды используют MODX 1.0.1 или файл в другом формате), то AutoMod не сможет их установить.

Конкретно об ошибке "Не опознана версия":
В формате MODX 1.0.1 об версиях сообщалось мало, и они неопределимы.
Подробнее об изменениях здесь - http://www.phpbb.com/mods/modx/spec/

Примеры разных версий:
MODX 1.2.2
MODX 1.2.1
MODX 1.2.0

Как определить версию?
Есть несколько способов. Я приведу тот, который знаю.
Открываете любым текстовым редактором файлы с расширениями .xml, смотрим в самом верху (приблизительно 4 строка):
Код: выделить все
<mod xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.phpbb.com/mods/xml/modx-1.0.xsd">
- старая версия
Код: выделить все
<mod xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.phpbb.com/mods/xml/modx-1.2.2.xsd">
- версия 1.2.2
Код: выделить все
<mod xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.phpbb.com/mods/xml/modx-1.2.1.xsd">
- версия 1.2.1
Код: выделить все
<mod xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.phpbb.com/mods/xml/modx-1.2.0.xsd">
- версия 1.2.0

P.S. Приношу свои извинения, за поздний ответ в связи с неисправность интернет соединения и вируса на компьютере.
Семь бед - один RESET
Ребята! Давайте жить дружно!
A.R.T.
Разработчик модов
 
Сообщений: 1087
Зарегистрирован:
03 фев 2009, 23:59
Откуда:
Город над вольной Невой
Благодарил (а): 0 раз.
Поблагодарили: 1 раз.

Сообщение 13 мар 2009, 22:21

Что бы было меньше вопрос, сделал инструкцию на русском с картинками.
  1. Загрузить на сервер все файлы мода в /store/mods/ Стандартно AutoMOD берет инструкцию по установки в формате .xml из этой папки.Изображение
  2. Зайдите в АСР, во вкладку AutoMOD. Вы увидите свой мод в списке доступных. Изображение
  3. Выберите "Установить" или "Install"
  4. Вы увидете окно с предупреждением перед применением изменений
  5. Если есть какие-то ошибки, вы уведите сообщение на подобии этогоИзображение
    Если вы уже опытный в phpBB, то можите исправить файлы для продолжения.
    При ошибке можно либо попробовать снова нажав на кнопку "Обновить" или "Retry", либо продолжить нажав на кнопку "Force install"
  6. Все дополнительные инструкции надо делать вручную, они находятся в инструкции мода в разделе "DIY Instructions"
Семь бед - один RESET
Ребята! Давайте жить дружно!
A.R.T.
Разработчик модов
 
Сообщений: 1087
Зарегистрирован:
03 фев 2009, 23:59
Откуда:
Город над вольной Невой
Благодарил (а): 0 раз.
Поблагодарили: 1 раз.

Сообщение 14 мар 2009, 12:42

А что мне в данной стиуации даст название версии, когда у меня сам автомод повторно не определяет ее? Причем удалял ее и переустанавливал заново.
Автомод дляразработчиков? Спасибо, все ясно. с phpbb3 все сыро.
Если продукт не готов,зачем его выкладывать, зачем я должен тратить свое время на криво сделанный автомод? Почему я должен додумывать то, что уже должно было быть сделано авторами. Бесплатно потаму что? так сделайте платно, но что бы установил и забыл. Не можете?
Женя

 

Сообщение 16 мар 2009, 02:14

Любые программы автоматической установки хорошо работают лишь в руках профессионалов, которые могут найти ошибку и устранить её. Каким бы хорошим ни был автоустановщик, он не сможет работать идеально, потому что всегда существуют исключения, не говоря уже об ошибках при оформлении мода.

По этой причине я не пользовался EasyMOD на phpBB2 и не использую AutoMOD на phpBB3. Гораздо надёжнее выполнять установку руками. Хотя, если прощупать все нюансы и исключения конкретного дистрибутива мода, то его вполне можно устанавливать автоматически.

Поэтому, используя AutoMOD, Вы должны понимать, что с одной стороны он может существенно помочь, а с другой - созданные им несоответствия можно будет отлавливать многие дни подряд. Использование автоустановщика - личное решение каждого, кто его применяет.
Atlanto
Разработчик скинов
 
Сообщений: 201
Зарегистрирован:
11 дек 2008, 14:01
Благодарил (а): 0 раз.
Поблагодарили: 0 раз.

Сообщение 16 мар 2009, 10:51

Женя писал(а):зачем я должен тратить свое время на криво сделанный автомод

Если внимательно прочитать первое сообщение в теме и посмотреть на его версию - BETA, то выбор использовать его или нет за вами. Кстати можно почитать здесь, становится понятно, что он работает, но есть ошибки.
Семь бед - один RESET
Ребята! Давайте жить дружно!
A.R.T.
Разработчик модов
 
Сообщений: 1087
Зарегистрирован:
03 фев 2009, 23:59
Откуда:
Город над вольной Невой
Благодарил (а): 0 раз.
Поблагодарили: 1 раз.

Сообщение 16 мар 2009, 17:42

A.R.T.
...После того как я залил мод "календарь" в папку (store/mods)

теперь зайдя в админ-панель, и перейдя на вкладку авто-мод получается вот что (в окне браузера)
Код: выделить все
Fatal error: Call to undefined function xml_parser_create() in /home/autoshak/domains/autoshake.com.ua/public_html/forum/includes/mod_parser.php on line 671


Я понимаю так, что необходима новая версия авто-мода (1.2.2), ссылку на которую Вы выложили выше...
ОК, тогда как убрать старую версию мода?... или как поставить новый мод поверх старого ?

Спасибо
Big-Foot

 


Вернуться в Моды каталога

Кто сейчас на форуме

Сейчас этот форум просматривают: нет зарегистрированных пользователей и гости: 3

Форум поддержки phpBB
2008 - 2017 © BB3x.ru - русская поддержка форума phpBB3
Создано на основе phpBB® Forum Software © phpBB Group
авторов модов
разработчиков скинов
русификаторов
и всех поклонников phpBB3